/***************************************************************************
 **
 **  Copyright (C) 2023 wangjianjun <wangjianjun1018@qq.com>
 **  Contact: https://blog.csdn.net/wocanimei007?type=blog
 **
 **
****************************************************************************/
#ifndef FANCYPOPUPWIDGET_H
#define FANCYPOPUPWIDGET_H

#include <QWidget>
#include "frameless_global.h"



class FRAMELESS_SHARED_EXPORT FancyPopupWidget : public QWidget
{
    Q_OBJECT
public:
    explicit FancyPopupWidget(QWidget *parent = nullptr);
    virtual ~FancyPopupWidget();

signals:
    void aboutToShow();
    void aboutToHide();

protected:
    virtual bool event(QEvent* event);
};



#endif // FANCYPOPUPWIDGET_H
